package cn.dg32z.lon.checks.impl.player.badpackets;

import cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion;
import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.PacketCheck;
import cn.dg32z.lon.player.PlayerData;
import java.security.MessageDigest;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "BadPacketsL", experimental = true)
/* loaded from: cn_dg32z_lon_checks_impl_player_badpackets.jar:cn/dg32z/lon/checks/impl/player/badpackets/BadPacketsL.class */
public final class BadPacketsL extends Check implements PacketCheck {
    final double minY;
    final double maxY;
    final double maxXZ;
    final double legacyExpansion;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "bKd\u0085\u0010Ý±\u0094ÄÁ¤\u0084X\u001fHUÌÕ¾ã©+��Ö%ý±«$ÂâÂåýáoÿ\u0095CÞ\u0016l\u001bjú\u008f^\u009bV«\u0080ØÞhQ\u001cùÚ\u001aïö\u008dC\u0094".getBytes("ISO_8859_1");
        byte[] bytes2 = "æZsY¸\u0097]S".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = -140008965;
                    break;
                case true:
                    i = 1634277107;
                    break;
                case true:
                    i = 2126242892;
                    break;
                case true:
                    i = -930869803;
                    break;
                case true:
                    i = 1971715277;
                    break;
                case true:
                    i = -915030017;
                    break;
                case true:
                    i = -1158278823;
                    break;
                case true:
                    i = 1639940238;
                    break;
                case true:
                    i = 1397146054;
                    break;
                case true:
                    i = 1644870240;
                    break;
                case true:
                    i = 1194789659;
                    break;
                case true:
                    i = 432993829;
                    break;
                case true:
                    i = -325035948;
                    break;
                case true:
                    i = -481144205;
                    break;
                case true:
                    i = 1178385243;
                    break;
                case true:
                    i = -529297732;
                    break;
                case true:
                    i = -823144487;
                    break;
                case true:
                    i = -1852949904;
                    break;
                case true:
                    i = -721042841;
                    break;
                case true:
                    i = -408227106;
                    break;
                case true:
                    i = -1952849441;
                    break;
                case true:
                    i = 1722947736;
                    break;
                case true:
                    i = 816602425;
                    break;
                case true:
                    i = 825315231;
                    break;
                case true:
                    i = -111123146;
                    break;
                case true:
                    i = -1880433609;
                    break;
                case true:
                    i = -2112510192;
                    break;
                case true:
                    i = 2146010512;
                    break;
                case true:
                    i = 489526355;
                    break;
                case true:
                    i = 1523586205;
                    break;
                case true:
                    i = 196890984;
                    break;
                case true:
                    i = -238162614;
                    break;
                case true:
                    i = 988478631;
                    break;
                case true:
                    i = -1877234117;
                    break;
                case true:
                    i = -794021006;
                    break;
                case true:
                    i = 2120036475;
                    break;
                case true:
                    i = -602794683;
                    break;
                case true:
                    i = -694691155;
                    break;
                case true:
                    i = 1563847992;
                    break;
                case true:
                    i = 681321637;
                    break;
                case true:
                    i = -1207909355;
                    break;
                case true:
                    i = -2017851620;
                    break;
                case true:
                    i = 1748754365;
                    break;
                case true:
                    i = 1274980820;
                    break;
                case true:
                    i = -1443082079;
                    break;
                case true:
                    i = 190655589;
                    break;
                case true:
                    i = -110742390;
                    break;
                case true:
                    i = -971577868;
                    break;
                case true:
                    i = 1450280722;
                    break;
                case true:
                    i = 2021445070;
                    break;
                case true:
                    i = 1803934928;
                    break;
                case true:
                    i = 755724723;
                    break;
                case true:
                    i = -458677955;
                    break;
                case true:
                    i = -1326091323;
                    break;
                case true:
                    i = 1959629304;
                    break;
                case true:
                    i = -372617526;
                    break;
                case true:
                    i = -1609327747;
                    break;
                case true:
                    i = 1030131872;
                    break;
                case true:
                    i = -1358275242;
                    break;
                case true:
                    i = 636989198;
                    break;
                case true:
                    i = 1287656427;
                    break;
                case true:
                    i = -811795737;
                    break;
                case true:
                    i = 1652633131;
                    break;
                case true:
                    i = -1779109196;
                    break;
                case true:
                    i = 566618810;
                    break;
                case true:
                    i = -190023904;
                    break;
                case true:
                    i = 1963553386;
                    break;
                case true:
                    i = 1615682561;
                    break;
                case true:
                    i = 1520512392;
                    break;
                case true:
                    i = 1196559033;
                    break;
                case true:
                    i = -695316009;
                    break;
                case true:
                    i = -1298437383;
                    break;
                case true:
                    i = 301860777;
                    break;
                case true:
                    i = 1990195556;
                    break;
                case true:
                    i = -90805185;
                    break;
                case true:
                    i = 30590863;
                    break;
                case true:
                    i = 225430755;
                    break;
                case true:
                    i = -7355831;
                    break;
                case true:
                    i = 1846299480;
                    break;
                case true:
                    i = -569883515;
                    break;
                case true:
                    i = 2119454642;
                    break;
                case true:
                    i = 1227188140;
                    break;
                case true:
                    i = 1333777939;
                    break;
                case true:
                    i = -1718460665;
                    break;
                case true:
                    i = -1192455366;
                    break;
                case true:
                    i = 1569903447;
                    break;
                case true:
                    i = -256147898;
                    break;
                case true:
                    i = -1913507455;
                    break;
                case true:
                    i = -71295458;
                    break;
                case true:
                    i = 646006321;
                    break;
                case true:
                    i = -1458699990;
                    break;
                case true:
                    i = 1604178964;
                    break;
                case true:
                    i = -1762630778;
                    break;
                case true:
                    i = 2056387308;
                    break;
                case true:
                    i = 2052319175;
                    break;
                case true:
                    i = 1908576848;
                    break;
                case true:
                    i = -646571923;
                    break;
                case true:
                    i = 2105965507;
                    break;
                case true:
                    i = -1646650628;
                    break;
                case true:
                    i = -2052685217;
                    break;
                case true:
                    i = -375755327;
                    break;
                case true:
                    i = -1768661999;
                    break;
                case true:
                    i = -68860606;
                    break;
                case true:
                    i = -608810425;
                    break;
                case true:
                    i = 580548529;
                    break;
                case true:
                    i = 1215252257;
                    break;
                case true:
                    i = 2134889497;
                    break;
                case true:
                    i = -1077594543;
                    break;
                case true:
                    i = 1266895073;
                    break;
                case true:
                    i = 1875877448;
                    break;
                case true:
                    i = -806698216;
                    break;
                case true:
                    i = 869459810;
                    break;
                case true:
                    i = 1329165846;
                    break;
                case true:
                    i = 921373978;
                    break;
                case true:
                    i = 1395366787;
                    break;
                case true:
                    i = -32819648;
                    break;
                case true:
                    i = 1669800958;
                    break;
                case true:
                    i = 2042093316;
                    break;
                case true:
                    i = 234110347;
                    break;
                case true:
                    i = 485103772;
                    break;
                case true:
                    i = 1631043410;
                    break;
                case true:
                    i = 1865084868;
                    break;
                case true:
                    i = -951621865;
                    break;
                case true:
                    i = 146186802;
                    break;
                case true:
                    i = -1845952221;
                    break;
                case true:
                    i = 1781234047;
                    break;
                case true:
                    i = 1158090953;
                    break;
                case true:
                    i = 19231580;
                    break;
                case true:
                    i = 1311569204;
                    break;
                case true:
                    i = 418855489;
                    break;
                case true:
                    i = -725087576;
                    break;
                case true:
                    i = 1378100474;
                    break;
                case true:
                    i = 1431372183;
                    break;
                case true:
                    i = 912560474;
                    break;
                case true:
                    i = 1176008867;
                    break;
                case true:
                    i = 819235958;
                    break;
                case true:
                    i = 56247593;
                    break;
                case true:
                    i = 2098699523;
                    break;
                case true:
                    i = -1302520170;
                    break;
                case true:
                    i = -623383320;
                    break;
                case true:
                    i = 346537847;
                    break;
                case true:
                    i = 1687846318;
                    break;
                case true:
                    i = -1304198322;
                    break;
                case true:
                    i = -1686676395;
                    break;
                case true:
                    i = 86969615;
                    break;
                case true:
                    i = -1030211582;
                    break;
                case true:
                    i = 537230543;
                    break;
                case true:
                    i = 1966604544;
                    break;
                case true:
                    i = -1232027410;
                    break;
                case true:
                    i = -1971522663;
                    break;
                case true:
                    i = 312250770;
                    break;
                case true:
                    i = 1883174383;
                    break;
                case true:
                    i = -1475506315;
                    break;
                case true:
                    i = 984969516;
                    break;
                case true:
                    i = 248137973;
                    break;
                case true:
                    i = 265411691;
                    break;
                case true:
                    i = -349836439;
                    break;
                case true:
                    i = -336392693;
                    break;
                case true:
                    i = 1506042811;
                    break;
                case true:
                    i = -1602319215;
                    break;
                case true:
                    i = 608286099;
                    break;
                case true:
                    i = -1149721310;
                    break;
                case true:
                    i = 614629745;
                    break;
                case true:
                    i = -297444878;
                    break;
                case true:
                    i = 1482038067;
                    break;
                case true:
                    i = 1892163784;
                    break;
                case true:
                    i = -778257092;
                    break;
                case true:
                    i = 1405537974;
                    break;
                case true:
                    i = 1398531692;
                    break;
                case true:
                    i = -1068524646;
                    break;
                case true:
                    i = -1560202141;
                    break;
                case true:
                    i = -500238515;
                    break;
                case true:
                    i = -406276727;
                    break;
                case true:
                    i = -1825549560;
                    break;
                case true:
                    i = -1581213741;
                    break;
                case true:
                    i = -626686511;
                    break;
                case true:
                    i = -1184764835;
                    break;
                case true:
                    i = -416754577;
                    break;
                case true:
                    i = -992990078;
                    break;
                case true:
                    i = -1498717667;
                    break;
                case true:
                    i = 1307073728;
                    break;
                case true:
                    i = 2085559936;
                    break;
                case true:
                    i = 1302453323;
                    break;
                case true:
                    i = -1841065887;
                    break;
                case true:
                    i = -1735923937;
                    break;
                case true:
                    i = -404838452;
                    break;
                case true:
                    i = -1093058570;
                    break;
                case true:
                    i = 2051954669;
                    break;
                case true:
                    i = -2115590643;
                    break;
                case true:
                    i = 1059686012;
                    break;
                case true:
                    i = -1016152847;
                    break;
                case true:
                    i = 2019240488;
                    break;
                case true:
                    i = 845369834;
                    break;
                case true:
                    i = 1392190349;
                    break;
                case true:
                    i = 736110576;
                    break;
                case true:
                    i = -190395226;
                    break;
                case true:
                    i = 1187704614;
                    break;
                case true:
                    i = 95301699;
                    break;
                case true:
                    i = -685733413;
                    break;
                case true:
                    i = -465534499;
                    break;
                case true:
                    i = 97129682;
                    break;
                case true:
                    i = 1008653065;
                    break;
                case true:
                    i = -739318353;
                    break;
                case true:
                    i = -576031420;
                    break;
                case true:
                    i = 366882565;
                    break;
                case true:
                    i = 247284926;
                    break;
                case true:
                    i = 1331047690;
                    break;
                case true:
                    i = -151611313;
                    break;
                case true:
                    i = -858804930;
                    break;
                case true:
                    i = 1939096538;
                    break;
                case true:
                    i = 1821819428;
                    break;
                case true:
                    i = 2124582620;
                    break;
                case true:
                    i = -1291457012;
                    break;
                case true:
                    i = -1889918236;
                    break;
                case true:
                    i = -69458131;
                    break;
                case true:
                    i = -645233562;
                    break;
                case true:
                    i = 982672042;
                    break;
                case true:
                    i = 433741053;
                    break;
                case true:
                    i = 640143337;
                    break;
                case true:
                    i = 2104753543;
                    break;
                case true:
                    i = 1944074923;
                    break;
                case true:
                    i = -462364625;
                    break;
                case true:
                    i = -1476125493;
                    break;
                case true:
                    i = -835785168;
                    break;
                case true:
                    i = -53836041;
                    break;
                case true:
                    i = 657428356;
                    break;
                case true:
                    i = -1742666626;
                    break;
                case true:
                    i = -732119840;
                    break;
                case true:
                    i = -894257488;
                    break;
                case true:
                    i = 98148102;
                    break;
                case true:
                    i = 489551551;
                    break;
                case true:
                    i = 1842473620;
                    break;
                case true:
                    i = 1364052857;
                    break;
                case true:
                    i = -127414674;
                    break;
                case true:
                    i = -447028075;
                    break;
                case true:
                    i = -511665214;
                    break;
                case true:
                    i = -159467614;
                    break;
                case true:
                    i = -696013515;
                    break;
                case true:
                    i = -735798856;
                    break;
                case true:
                    i = 690430330;
                    break;
                case true:
                    i = -1812419289;
                    break;
                case true:
                    i = 295131618;
                    break;
                case true:
                    i = -1095845330;
                    break;
                case true:
                    i = -622899557;
                    break;
                case true:
                    i = -775130786;
                    break;
                case true:
                    i = -1057851252;
                    break;
                case true:
                    i = 1714429604;
                    break;
                case true:
                    i = 1231045078;
                    break;
                case true:
                    i = -2052071450;
                    break;
                case true:
                    i = 240932069;
                    break;
                case true:
                    i = 1092377525;
                    break;
                case true:
                    i = 747490462;
                    break;
                case true:
                    i = -1711328648;
                    break;
                case true:
                    i = 175526583;
                    break;
                case true:
                    i = 1224714356;
                    break;
                case true:
                    i = 973982680;
                    break;
                default:
                    i = -1318333708;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[1];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    public BadPacketsL(PlayerData playerData) {
        super(playerData);
        this.legacyExpansion = this.player.getClientVersion().isOlderThan(ClientVersion.V_1_9) ? 0.1d : 0.0d;
        this.maxXZ = 0.3001d + this.legacyExpansion;
        this.minY = (-1.0E-4d) - this.legacyExpansion;
        this.maxY = 1.8001d + this.legacyExpansion;
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:55:0x016a -> B:21:0x0170). Please report as a decompilation issue!!! */
    public void onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent r8) {
        /*
            Method dump skipped, instructions count: 514
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.badpackets.BadPacketsL.onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent):void");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
